package com.trs.web2frame.tool.tyjyh.ggzyzheng;

import java.text.SimpleDateFormat;
import java.time.LocalDateTime;
import java.time.ZoneId;
import java.util.Date;
import java.util.Map;

public class DocumentDataBenJi {

    private String id;
    private String title;
    private String url;
    private String time;
    private String content;
    private String image_ids;
    private String file_ids;
    private String channle;

    public DocumentDataBenJi() {
    }

    public DocumentDataBenJi(String id, String title, String url, String time, String content, String image_ids, String file_ids, String channle) {
        this.id = id;
        this.title = title;
        this.url = url;
        this.time = time;
        this.content = content;
        this.image_ids = image_ids;
        this.file_ids = file_ids;
        this.channle = channle;
    }

    public DocumentDataBenJi(Map<String,String> map) {
        this.id = map.get("id");
        this.title = map.get("title");;
        this.url = map.get("url");;
        this.time = map.get("time");;
        this.content = map.get("content");;
        this.image_ids = map.get("image_ids");;
        this.file_ids = map.get("file_ids");;
        this.channle = map.get("channle");;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    public String getTime() {
        return time;
    }

    public void setTime(String time) {
        this.time = time;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public String getImage_ids() {
        return image_ids;
    }

    public void setImage_ids(String image_ids) {
        this.image_ids = image_ids;
    }

    public String getFile_ids() {
        return file_ids;
    }

    public void setFile_ids(String file_ids) {
        this.file_ids = file_ids;
    }

    public String getChannle() {
        return channle;
    }

    public void setChannle(String channle) {
        this.channle = channle;
    }

    @Override
    public String toString() {
        return "DocumentDataBenJi{" +
                "id='" + id + '\'' +
                ", title='" + title + '\'' +
                ", url='" + url + '\'' +
                ", time='" + time + '\'' +
                ", content='" + content + '\'' +
                ", image_ids='" + image_ids + '\'' +
                ", file_ids='" + file_ids + '\'' +
                ", channle='" + channle + '\'' +
                '}';
    }
}
